# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapOfObjectSelectors Class Reference

`#include <SelectMgr_DataMapOfObjectSelectors.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_DataMapOfObjectSelectors (const Standard_Integer NbBuckets=1)
Standard_EXPORT SelectMgr_DataMapOfObjectSelectors & | Assign (const SelectMgr_DataMapOfObjectSelectors &Other)
SelectMgr_DataMapOfObjectSelectors & | operator= (const SelectMgr_DataMapOfObjectSelectors &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~SelectMgr_DataMapOfObjectSelectors ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(SelectMgr_SelectableObject)&K, const SelectMgr_SequenceOfSelector &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(SelectMgr_SelectableObject)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(SelectMgr_SelectableObject)&K)
Standard_EXPORT const SelectMgr_SequenceOfSelector & | Find (const Handle(SelectMgr_SelectableObject)&K) const
const SelectMgr_SequenceOfSelector & | operator() (const Handle(SelectMgr_SelectableObject)&K) const
Standard_EXPORT SelectMgr_SequenceOfSelector & | ChangeFind (const Handle(SelectMgr_SelectableObject)&K)
SelectMgr_SequenceOfSelector & | operator() (const Handle(SelectMgr_SelectableObject)&K)

## Private Member Functions

Standard_EXPORT | SelectMgr_DataMapOfObjectSelectors (const SelectMgr_DataMapOfObjectSelectors &Other)

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_DataMapOfObjectSelectors::SelectMgr_DataMapOfObjectSelectors | ( | const Standard_Integer | NbBuckets = `1` | ) |

SelectMgr_DataMapOfObjectSelectors::~SelectMgr_DataMapOfObjectSelectors | ( |  | ) | `[inline]`

Standard_EXPORT SelectMgr_DataMapOfObjectSelectors::SelectMgr_DataMapOfObjectSelectors | ( | const SelectMgr_DataMapOfObjectSelectors & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT SelectMgr_DataMapOfObjectSelectors& SelectMgr_DataMapOfObjectSelectors::Assign | ( | const SelectMgr_DataMapOfObjectSelectors & | Other | ) |

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfObjectSelectors::Bind | ( | const Handle(SelectMgr_SelectableObject)& | K,
|  | const SelectMgr_SequenceOfSelector & | I
| ) |

Standard_EXPORT SelectMgr_SequenceOfSelector& SelectMgr_DataMapOfObjectSelectors::ChangeFind | ( | const Handle(SelectMgr_SelectableObject)& | K | ) |

Standard_EXPORT void SelectMgr_DataMapOfObjectSelectors::Clear | ( |  | ) |

Standard_EXPORT const SelectMgr_SequenceOfSelector& SelectMgr_DataMapOfObjectSelectors::Find | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | const

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfObjectSelectors::IsBound | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | const

void SelectMgr_DataMapOfObjectSelectors::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_DataMapOfObjectSelectors::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_DataMapOfObjectSelectors::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

SelectMgr_SequenceOfSelector& SelectMgr_DataMapOfObjectSelectors::operator() | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | `[inline]`

const SelectMgr_SequenceOfSelector& SelectMgr_DataMapOfObjectSelectors::operator() | ( | const Handle(SelectMgr_SelectableObject)& | K | ) | const`[inline]`

SelectMgr_DataMapOfObjectSelectors& SelectMgr_DataMapOfObjectSelectors::operator= | ( | const SelectMgr_DataMapOfObjectSelectors & | Other | ) | `[inline]`

Standard_EXPORT void SelectMgr_DataMapOfObjectSelectors::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfObjectSelectors::UnBind | ( | const Handle(SelectMgr_SelectableObject)& | K | ) |

The documentation for this class was generated from the following file:

- SelectMgr_DataMapOfObjectSelectors.hxx